Foreman - Bug #29031

PXEGrub2 default local boot template causes bootloops
02/17/2020 01:41 PM - Lukas Zapletal

Status: Closed
Priority: Normal
Assignee: Lukas Zapletal
Category: Templates
Target version: 1.24.3
Difficulty: Fixed in Releases: 1.24.3,2.0.0
Triaged: No Found in Releases:
Bugzilla link: 1803792 Red Hat JIRA:
Pull request: https://github.com/theforeman/communit
y-templates/pull/690
Description

All installations using pxegrub2 templates end up in boot loop after the provisioning is done and the target template is switch to the
"pxegrub2 default local boot".

This is a small copy-paste error in global template. Requesting backport into 2.0 and 1.24 as this is a blocker for UEFI provisioning,
this bug sneaked through my test week testing as it only appears at the very and of the installation phase (and | usually don't let it to
finish due lack of time during those tests).

Associated revisions

Revision 03281e91 - 02/17/2020 01:44 PM - Lukas Zapletal
Fixes #29031 - resolved boot loop for Grub2

History

#1 - 02/17/2020 01:43 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/community-templates/pull/690 added

#2 - 02/17/2020 01:44 PM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#3 - 02/17/2020 02:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset community-templates|03281e9138e178f336958d1ef83739483c048078.

#4 - 02/18/2020 08:27 AM - Tomer Brisker
- Fixed in Releases 1.24.3, 2.0.0 added
- Fixed in Releases deleted (2.1.0)
